[PATCH 1/4] Rename gui/runtest.sh to fit in with the other test names.

Chris Lumens clumens at redhat.com
Fri Jul 11 15:18:24 UTC 2014


---
 tests/Makefile.am          |  2 +-
 tests/gui/run_gui_tests.sh | 81 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/gui/runtest.sh       | 81 ----------------------------------------------
 3 files changed, 82 insertions(+), 82 deletions(-)
 create mode 100755 tests/gui/run_gui_tests.sh
 delete mode 100755 tests/gui/runtest.sh

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 0549596..877bdb9 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -62,7 +62,7 @@ TESTS = nosetests.sh \
 	gettext/gettext_warnings.sh \
 	gettext/gettext_potfiles.py \
 	storage/run_storage_tests.py \
-	gui/runtest.sh \
+	gui/run_gui_tests.sh \
 	glade/run_glade_tests.sh
 
 clean-local:
diff --git a/tests/gui/run_gui_tests.sh b/tests/gui/run_gui_tests.sh
new file mode 100755
index 0000000..fd82ef7
--- /dev/null
+++ b/tests/gui/run_gui_tests.sh
@@ -0,0 +1,81 @@
+#!/bin/bash
+#
+# Copyright (C) 2014  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): Chris Lumens <clumens at redhat.com>
+
+function doit() {
+    ARGS="-s \
+          -v \
+          --nologcapture \
+          --tc=resultsdir:$(mktemp -d --tmpdir=$(pwd) autogui-results-XXXXXX) \
+          --tc=liveImage:$1"
+
+    if [ -z "$2" ]; then
+        nosetests ${ARGS} outside
+    else
+        nosetests ${ARGS} "${2}" outside
+    fi
+}
+
+# We require the test_config plugin for nose, which is not currently packaged
+# but is installable via pip.
+if [ -z "$(nosetests -p | grep test_config)" ]; then
+    exit 99
+fi
+
+# Have to be root to run this test, as it requires creating disk iamges.
+if [ ${EUID} != 0 ]; then
+   exit 77
+fi
+
+# The livecd location can come from one of two different places:
+# (1) $GUI_TEST_LIVECD, if this script is being called from "make check"
+# (2) The command line, if this script is being called directly.
+if [[ "${GUI_TEST_LIVECD}" != "" ]]; then
+    LIVECD=${GUI_TEST_LIVECD}
+elif [[ $# != 0 ]]; then
+    LIVECD=$1
+    shift
+else
+    echo "usage: $0 <livecd.iso> [anaconda args...]"
+    exit 1
+fi
+
+if [ ! -e "${LIVECD}" ]; then
+    echo "Required live CD image does not exist."
+    exit 2
+fi
+
+if [[ "${GUI_TEST_ANACONDA_ARGS}" != "" ]]; then
+    EXTRA="--tc=anacondaArgs:\"${GUI_TEST_ANACONDA_ARGS}\""
+elif [[ $# != 0 ]]; then
+    EXTRA="--tc=anacondaArgs:\"$*\""
+else
+    EXTRA=""
+fi
+
+# If we're being called from "make check", we will be outside the gui test directory.
+# Unfortunately, everything is written assuming that's where we will be.  So cd there.
+if [ -d gui ]; then
+    ( cd gui && doit ${LIVECD} "${EXTRA}" )
+elif [ -d outside ]; then
+    doit ${LIVECD} "${EXTRA}"
+else
+    echo "Could not find test contents"
+    exit 3
+fi
diff --git a/tests/gui/runtest.sh b/tests/gui/runtest.sh
deleted file mode 100755
index fd82ef7..0000000
--- a/tests/gui/runtest.sh
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/bin/bash
-#
-# Copyright (C) 2014  Red Hat, Inc.
-#
-# This copyrighted material is made available to anyone wishing to use,
-# modify, copy, or redistribute it subject to the terms and conditions of
-# the GNU General Public License v.2, or (at your option) any later version.
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY expressed or implied, including the implied warranties of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
-# Public License for more details.  You should have received a copy of the
-# GNU General Public License along with this program; if not, write to the
-# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
-# source code or documentation are not subject to the GNU General Public
-# License and may only be used or replicated with the express permission of
-# Red Hat, Inc.
-#
-# Red Hat Author(s): Chris Lumens <clumens at redhat.com>
-
-function doit() {
-    ARGS="-s \
-          -v \
-          --nologcapture \
-          --tc=resultsdir:$(mktemp -d --tmpdir=$(pwd) autogui-results-XXXXXX) \
-          --tc=liveImage:$1"
-
-    if [ -z "$2" ]; then
-        nosetests ${ARGS} outside
-    else
-        nosetests ${ARGS} "${2}" outside
-    fi
-}
-
-# We require the test_config plugin for nose, which is not currently packaged
-# but is installable via pip.
-if [ -z "$(nosetests -p | grep test_config)" ]; then
-    exit 99
-fi
-
-# Have to be root to run this test, as it requires creating disk iamges.
-if [ ${EUID} != 0 ]; then
-   exit 77
-fi
-
-# The livecd location can come from one of two different places:
-# (1) $GUI_TEST_LIVECD, if this script is being called from "make check"
-# (2) The command line, if this script is being called directly.
-if [[ "${GUI_TEST_LIVECD}" != "" ]]; then
-    LIVECD=${GUI_TEST_LIVECD}
-elif [[ $# != 0 ]]; then
-    LIVECD=$1
-    shift
-else
-    echo "usage: $0 <livecd.iso> [anaconda args...]"
-    exit 1
-fi
-
-if [ ! -e "${LIVECD}" ]; then
-    echo "Required live CD image does not exist."
-    exit 2
-fi
-
-if [[ "${GUI_TEST_ANACONDA_ARGS}" != "" ]]; then
-    EXTRA="--tc=anacondaArgs:\"${GUI_TEST_ANACONDA_ARGS}\""
-elif [[ $# != 0 ]]; then
-    EXTRA="--tc=anacondaArgs:\"$*\""
-else
-    EXTRA=""
-fi
-
-# If we're being called from "make check", we will be outside the gui test directory.
-# Unfortunately, everything is written assuming that's where we will be.  So cd there.
-if [ -d gui ]; then
-    ( cd gui && doit ${LIVECD} "${EXTRA}" )
-elif [ -d outside ]; then
-    doit ${LIVECD} "${EXTRA}"
-else
-    echo "Could not find test contents"
-    exit 3
-fi
-- 
1.9.3



More information about the anaconda-patches mailing list